// siobj.h

#ifndef siobj_h
#define siobj_h

typedef struct{
	int x,y,z;
	int other;
	int flags;
	}SIVERTEX;

typedef struct{
	int v[20];
	int num;
	int flags;
	int color;
	}SIPOLY;


	//model OP codes
#define OP_CLRV		(0x00)
#define OP_GETV		(0x09)
#define OP_ID			(0x0c)
#define OP_PUTV		(0x12)
#define OP_INTV		(0x1b)
#define OP_ADDV		(0x24)
#define OP_SUBV		(0x2d)
#define OP_NEGV		(0x36)
#define OP_SHLV		(0x3f)
#define OP_SHRV		(0x48)
#define OP_VEC			(0x4b)
#define OP_IPG			(0x63)
#define OP_VECTORS	(0x75)
#define OP_PUSHCENT	(0x7e)
#define OP_POPCENT	(0x87)
#define OP_MOVECENT	(0x90)
#define OP_PERS		(0x99)
#define OP_MOVETO		(0x00a2)
#define OP_LINECOL	(0x00b4)
#define OP_ZLINETO	(0x00bd)
#define OP_POLYZ		(0x00f3)
#define OP_SPHERE		(0x00fc)
#define OP_PERFDISK	(0x010e)
#define OP_COLOR		(0x0129)
#define OP_SHADES		(0x0156)
#define OP_GVPOLY		(0x0168)
#define OP_IFVIS		(0x017a)
#define OP_SORT		(0x018c)
#define OP_RETURN		(0x0195)
#define OP_GOSUB		(0x01a7)
#define OP_REJ			(0x01b9)
#define OP_GVPOLY16	(0x02be)
#define OP_DOT			(0x02d0)
#define OP_BLOCK		(0x02d9)


#include "proto\siobj.p"
#endif /* siobj_h */



