	//convert scale constant to a mulitplier
static float sod_scale_table[]={
	10.0,		 //0
	5.0,  	 //1
	5.0/2.0,  //2
	5.0/4.0,  //3
	5.0/8.0,  //4
	5.0/16.0,  //5
	5.0/32.0,  //6
	5.0/64.0,  //7
	5.0/128.0,  //8
	5.0/256.0,  //9
	5.0/512.0,  //10
	5.0/1024.0,  //11
	5.0/2048.0,  //12
	5.0/4096.0,  //13
	5.0/8192.0,  //14
	5.0/16384.0, //15
	5.0/32768.0, //16
	5.0/(32768.0*2), //17
	};


	//model OP codes
#define OP_CLRV		(0x00)
#define OP_GETV		(0x09)
#define OP_ID			(0x0c)
#define OP_PUTV		(0x12)
#define OP_INTV		(0x1b)
#define OP_ADDV		(0x24)
#define OP_SUBV		(0x2d)
#define OP_NEGV		(0x36)
#define OP_SHLV		(0x3f)
#define OP_SHRV		(0x48)
#define OP_VEC			(0x4b)
#define OP_IPG			(0x63)
#define OP_VECTORS	(0x75)
#define OP_PERS		(0x99)
#define OP_MOVETO		(0x00a2)
#define OP_ZLINETO	(0x00bd)
#define OP_LINECOL	(0x00b4)
#define OP_POLYZ		(0x00f3)
#define OP_SPHERE		(0x00fc)
#define OP_PERFDISK	(0x010e)
#define OP_COLOR		(0x0129)
#define OP_SHADES		(0x0156)
#define OP_GVPOLY		(0x0168)
#define OP_IFVIS		(0x017a)
#define OP_END			(0x0195)
#define OP_REJ			(0x01b9)
#define OP_BLOCK		(0x02d9)
#define OP_GVPOLY16	(0x02be)
#define OP_DOT			(0x02d0)



char *sod_op_desc[]={
"clr","get","put","int","add","sub","neg","shl","shr",//>			;0
"blokadd","blokneg","ipg","checkpoint",//>				;9
"vectors","pushcentre","popcentre","movecentre",//>			;13
"perspec","moveto","lineto",//>					;17
"linecol","zlineto","hugelineto","vlineto",//>			;20
"votevis","votehid","poly","polyz","sphere",//>			;24
"disc","perfdisc","side","initdisc","fillcol","normals","misty",//>	;29
"shade1","shade2","shades","gouraud","shadepoly","airbrush",//>		;36
"bhid","bvis","sorton","return","goto","gosub",//>			;42
"rejvec","rej3d","rej2d","hugerej3d","fractal","roty",//>		;48
"pushrelmat","poprelmat","animate",//>				;54
"hugevecs","hugeperspec",//>					;57
"hugepoly","rejhugepoly","gndhugepoly",//>			;59
"tap","hugetap",//>						;62
"polysl","polyzsl","spheresl","discsl","perfdiscsl",//>		;64
"sidesl","pushsl","popsl","dispsl",//>				;69
"intsl","subsl","addsl","dupsl",//>					;73
"shade16","shadepoly16","shade216","dot","block",//>			;77
"rotx","rotz","bvlt","bvgt","wideline","splitquad","bzlt","scaleit",//>	;82
"sprite","texture",//>

"vecellipse,vecellsl,letter",//>
"vectors2d,clr2d,get2d,put2d,int2d",//>
"add2d,sub2d,shl2d,shr2d,blokadd2d",//>
"circle,circlesl"//>
};


