//------------------------------------------------------------------------------
//	File:					mesh.h
//	Date:					4/10/99
//	Author:				Chris Phillips
//
//	Description:
//
//------------------------------------------------------------------------------


#ifndef mesh_h
#define mesh_h

//------------------------------------------------------------------------------
//	enums
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
//	classes
//------------------------------------------------------------------------------
class Mesh{
private:

public:
	int type;      //MESH or DLIST
	int mode;		
	int shade_mode;  //wire, flat, smooth,
	int dlist;	//or null if none.
	float *verts;
	int 	*faces;
	float *normals;
	int num_verts;
	int num_faces;

	Mesh();
	~Mesh();
	int start_dlist();
	void end_dlist();
	void create(float *v, int tv,int *f,int tf);
	void draw(void);
	void calc_normals(void);


};



#endif mesh_h	

