// sifilm.h

#ifndef sifilm_h
#define sifilm_h

	//object types
#define SIF_EXISTS	1
#define SIF_DRAW		2
#define SIF_SHADOW	4
#define SIF_MOVES		8
#define SIF_ROTATES	0x10
#define SIF_ANIMATES	0x20

typedef struct{
	int flags;
	int type;
	int shape;
	int x,y,z;
	int rx,ry,rz;
	int animate;
	int *prevdata;
	int *nextdata;
	int data1[9];
	int data2[9];
	}SIFILM_OBJ;

#define SIFILM_MAX_OBJ (100)
typedef struct{
	int pos;
	int len;
	int slice_len;
	int max_obj;
	int view_obj;
	SIFILM_OBJ objs[SIFILM_MAX_OBJ];
	unsigned char *tape;
	int prevvar[16];
	int nextvar[16];
	char credits[64];
	}SIFILM;


#endif /* sifilm_h */



